

#include "BUILTIN.h"

#include "Nat.h"
extern TUP2 _ABSTreeMapEnv_8(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ABSTreeMapEnv_8;
extern TUP2 _ASetByBSTMapEnv_6(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __ASetByBSTMapEnv_6; /* * */

extern TUP2 _ASetByBSTMapEnv_6(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* * */
{TUP2 r;
 r=_ABSTreeMapEnv_8(x1,x2,x3,x4,x5);
 return r;}
extern OBJ _ASetByBSTMapEnv_6_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* * */
{OBJ r;
 {TUP2 t=_ASetByBSTMapEnv_6(x1,x2,x3,x4,x5);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

init_ASetByBSTMapEnv()
{
 static int visited=0; if(visited) return; visited=1;
 init_ASetByBST();
 init_ANat();
 init_ASeq();
 init_AOption();
 init_ABSTree();
 init_ATree();
 init_APair();
 init_ABSTreeMapEnv();
 CLS(5,_ASetByBSTMapEnv_6_c,__ASetByBSTMapEnv_6);}

